import matplotlib.pyplot as plt
import numpy as np

# Funktion
def f(x, y):
    return (0.9 - x/2 + x**5 + y**3) * np.exp(-x**2 - y**2)
    
# Anzahl der Punkte in X und Y
n = 256
xx = np.linspace(-3, 3, n)
yy = np.linspace(-3, 3, n)
X, Y = np.meshgrid(xx, yy)

# Grafikausgabe
plt.axes([0.05, 0.05, 0.9, 0.9])

plt.contourf(X, Y, f(X, Y), 8, alpha = 0.75, cmap = plt.cm.hot) 
C=plt.contour(X, Y, f(X, Y), 8, colors = 'black', linewidth = 0.5) 
plt.clabel(C, inline = 1, fontsize = 10)

plt.grid()
plt.xticks()
plt.yticks()
plt.savefig("test.png") # Speichern

plt.show() # Darstellung Fenster   
