import numpy as np
import matplotlib.pylab as plt

# Anzahl der Werte
N = 100

# Funktion für die Berechnung
def f(i, n):
    x = i / N
    lam = 2 / (n+1)
    return x * (1-x) * np.sin(2 * np.pi * x / lam)

# Daten berechnen
a = np.fromfunction(f, (N+1, 5))
# Wo sind Maxima und Minima
min_i = a.argmin(axis=0)
max_i = a.argmax(axis=0)

# Plotten der Funktionslinien
plt.plot(a, color='k')
# Plotter der Minima und Maxima
plt.plot(min_i, a[min_i, np.arange(5)], 'v', color='r', markersize=10)
plt.plot(max_i, a[max_i, np.arange(5)], '^', color='b', markersize=10)

# Grafik im Fenster zeigen und speichern
plt.savefig("test.png")
plt.show()
